## freespace2-launcher-wxlauncher 0.9.1

=== CMakeLists.txt ===
# let's go with lower case for commands (or at least be consistent)
# arbitrarily following http://techbase.kde.org/Policies/CMake_Coding_Style#Upper.2Flower_casing

cmake_minimum_required(VERSION 2.8)

# We don't use C but CMake on linux complains if we don't have it enabled
project(wxlauncher CXX C) 

set(VERSION_MAJOR 0)
set(VERSION_MINOR 9)
set(VERSION_PATCH 1)

list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_SOURCE_DIR}/cmake/include")

set(CMAKE_OSX_ARCHITECTURES i386)

if(NOT(DEFINED IS_WIN32 OR DEFINED IS_LINUX OR DEFINED IS_APPLE))
  if(WIN32)
    set(IS_WIN32 TRUE)
  elseif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    set(IS_APPLE TRUE)
  else()
    set(IS_LINUX TRUE)
  endif()
endif()

find_package(wxWidgets 2.8.10
  REQUIRED base core net xml html adv qa richtext)
  
if(NOT PYTHON_EXECUTABLE)
  # Only try to find python iff not already given
  include(FindPythonInterp) #PYTHON_EXECUTABLE
endif()

find_program(HG_EXECUTABLE hg)

option(onlinehelpmaker_debug "Have the onlinehelpmaker.py script output debug information" OFF)
if(onlinehelpmaker_debug)
  set(HELPMAKER_DEBUG "-d")
  set(HELPMAKER_QUIET "")
else(onlinehelpmaker_debug)
  set(HELPMAKER_DEBUG "")
  option(onlinehelpmaker_quiet "Have onlinehelpmaker.py produce even less output than normal" ON)
  if(onlinehelpmaker_quiet)
    set(HELPMAKER_QUIET "-q")
  else()
    set(HELPMAKER_QUIET "")
  endif()
endif(onlinehelpmaker_debug)

# This needs to be set so that VS2008 will link against the most recent
# version of the CRT, the one that is being distrubuted in the installer
if(IS_WIN32)
  add_definitions("/D_BIND_TO_CURRENT_CRT_VERSION=1")
endif(IS_WIN32)

set(helphtblocation ${CMAKE_CURRENT_BINARY_DIR}/generated/onlinehelp.htb)
option(DEVELOPMENT_MODE "Doing development (cannot build installer in this mode)" OFF)
if(DEVELOPMENT_MODE)
  set(HELP_HTB_LOCATION ${helphtblocation})
  set(RESOURCES_PATH ${PROJECT_SOURCE_DIR}/resources)
else(DEVELOPMENT_MODE)
  if(IS_WIN32)
    set(RESOURCES_PATH resources)
  elseif(IS_APPLE)
    set(RESOURCES_PATH wxlauncher.app/Contents/Resources)
  else()
    set(RESOURCES_PATH /usr/local/share/wxlauncher/)
  endif()
  set(HELP_HTB_LOCATION ${RESOURCES_PATH}/onlinehelp.htb)
endif(DEVELOPMENT_MODE)

option(PROFILE_DEBUGGING "Extra verbose debug logs that include snapshots of profile contents at important steps while auto-save is off" OFF)
option(USE_SPEECH "Build launcher with speech support?" OFF)
option(USE_JOYSTICK "Build launcher with joystick support?" ON)
option(USE_OPENAL "Build launcher with OpenAL support?" ON)
if(USE_OPENAL)
  find_package(OpenAL REQUIRED)
  include_directories(${OPENAL_INCLUDE_DIR})
endif(USE_OPENAL)

if(UNIX)
  find_package(SDL REQUIRED)
  include_directories(${SDL_INCLUDE_DIR})
  set(HAS_SDL true)
endif()
if(UNIX AND NOT DEFINED PLATFORM_HAS_BROKEN_OPENAL)
  set(PLATFORM_HAS_BROKEN_OPENAL TRUE)
endif()

if(IS_APPLE)
  option(USING_SDL_FRAMEWORK "Check this if building with an SDL framework." ON)
endif()

# Make PLATFORM_USES_REGISTRY true only on windows, so that wxLauncher
# will not try to compile the registry code on non Win32 systems.
# Allow the user to define this as false even on windows if they want
if((IS_WIN32) AND (NOT DEFINED PLATFORM_USES_REGISTRY))
  set(PLATFORM_USES_REGISTRY TRUE)
endif()

include(${wxWidgets_USE_FILE})
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/code)

if(IS_WIN32) # helper is only needed on windows
  add_executable(registry_helper WIN32
    code/global/ids.h
    code/global/ids.cpp
    code/apis/RegistryProfileManager.cpp
    platform/win32/registry_helper.cpp
    code/apis/PlatformProfileManagerShared.cpp
    code/apis/CmdLineManager.h
    code/apis/CmdLineManager.cpp
    code/apis/FlagListManager.h
    code/apis/FlagListManager.cpp
    code/apis/ProfileManager.h
    code/apis/ProfileManager.cpp
    code/apis/ProfileProxy.h
    code/apis/ProfileProxy.cpp
    code/apis/TCManager.h
    code/apis/TCManager.cpp
    code/controls/LightingPresets.h
    code/controls/LightingPresets.cpp
    code/datastructures/FlagFileData.h
    code/datastructures/FlagFileData.cpp
    code/datastructures/FSOExecutable.h
    code/datastructures/FSOExecutable.cpp
    )
  set_target_properties(registry_helper
    PROPERTIES LINKER_LANGUAGE CXX
    LINK_FLAGS /MANIFESTUAC:NO
    COMPILE_DEFINITIONS REGISTRY_HELPER
    )
  target_link_libraries(registry_helper ${wxWidgets_LIBRARIES})
endif()

# Check to see if we have a HG executable so that we will be able to
# generate the version.cpp.  If we don't have a hg binary, notify and
# create the target to copy a template version.
if(HG_EXECUTABLE)
  add_custom_target(version.cpp.maker ALL
    COMMAND ${PYTHON_EXECUTABLE} scripts/version.cpp.maker.py build ${CMAKE_CURRENT_BINARY_DIR}/generated/version_strings.cpp ${CMAKE_CURRENT_BINARY_DIR}/version.cpp.maker.temp --hgpath=${HG_EXECUTABLE}
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
else()
  add_custom_target(version.cpp.maker ALL
    COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_SOURCE_DIR}/code/global/version_strings.cpp.in ${CMAKE_CURRENT_BINARY_DIR}/generated/version_strings.cpp
    )
  message( "Cannot find a commandline Mercurial client (hg).  version_strings.cpp will be generated by copying a dummy file.") 
endif()

set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/generated/version_strings.cpp)

add_custom_target(helpmaker ALL
  COMMAND ${PYTHON_EXECUTABLE} scripts/onlinehelpmaker.py build  ${helphtblocation} ${CMAKE_SOURCE_DIR}/onlinehelp ${HELPMAKER_QUIET} ${HELPMAKER_DEBUG} -t ${CMAKE_CURRENT_BINARY_DIR}/onlinehelpmaker -c ${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  )
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp)
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${helphtblocation})
file(GLOB_RECURSE helpmaker_temp_files ${CMAKE_CURRENT_BINARY_DIR}/onlinehelpmaker/*.*)
set_source_files_properties(${helphtblocation} ${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp ${CMAKE_CURRENT_BINARY_DIR}/generated/version_strings.cpp PROPERTIES GENERATED true EXTERNAL_OBJECT true)

set(TAB_CODE_FILES
  code/tabs/AdvSettingsPage.h
  code/tabs/AdvSettingsPage.cpp
  code/tabs/BasicSettingsPage.h
  code/tabs/BasicSettingsPage.cpp
  code/tabs/InstallPage.h
  code/tabs/InstallPage.cpp
  code/tabs/ModsPage.h
  code/tabs/ModsPage.cpp
  code/tabs/WelcomePage.h
  code/tabs/WelcomePage.cpp
  )
source_group(Tabs FILES ${TAB_CODE_FILES})
set(GUI_CONTROL_CODE_FILES
  code/controls/BottomButtons.h
  code/controls/BottomButtons.cpp
  code/controls/FlagListBox.h
  code/controls/FlagListBox.cpp
  code/controls/LightingPresets.h
  code/controls/LightingPresets.cpp
  code/controls/Logger.h
  code/controls/Logger.cpp
  code/controls/ModList.h
  code/controls/ModList.cpp
  code/controls/StatusBar.h
  code/controls/StatusBar.cpp
  code/controls/TruncatableChoice.h
  code/controls/TruncatableChoice.cpp
  )
source_group("GUI Controls" FILES ${GUI_CONTROL_CODE_FILES})
set(GLOBAL_CODE_FILES
  code/global/configure_launcher.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/generated/configure_launcher.h
  code/global/ids.h
  code/global/ids.cpp
  code/global/MemoryDebugging.h
  code/global/targetver.h
  code/global/version.h
  code/global/version.cpp
  )
source_group(Global FILES ${GLOBAL_CODE_FILES})
set(DATASTRUCTURE_CODE_FILES
  code/datastructures/FlagInfo.cpp
  code/datastructures/FlagFileData.h
  code/datastructures/FlagFileData.cpp
  code/datastructures/FSOExecutable.h
  code/datastructures/FSOExecutable.cpp
  )
source_group("Data Structures" FILES ${DATASTRUCTURE_CODE_FILES})
set(API_CODE_FILES
  code/apis/CmdLineManager.h
  code/apis/CmdLineManager.cpp
  code/apis/FlagListManager.h
  code/apis/FlagListManager.cpp
  code/apis/HelpManager.h
  code/apis/HelpManager.cpp
  code/apis/JoystickManager.h
  code/apis/JoystickManager.cpp
  code/apis/OpenALManager.h
  code/apis/OpenALManager.cpp
  code/apis/ProfileManager.h
  code/apis/ProfileManager.cpp
  code/apis/ProfileProxy.h
  code/apis/ProfileProxy.cpp
  code/apis/SkinManager.h
  code/apis/SkinManager.cpp
  code/apis/SpeechManager.h
  code/apis/SpeechManager.cpp
  code/apis/TCManager.h
  code/apis/TCManager.cpp
  code/apis/PlatformProfileManager.h
  code/apis/RegistryProfileManager.cpp
  code/apis/FileProfileManager.cpp
  code/apis/PlatformProfileManagerShared.cpp
  )
source_group(Apis FILES ${API_CODE_FILES})
set(RESOURCE_FILES
  platform/win32/wxlauncher.rc
  ${CMAKE_CURRENT_BINARY_DIR}/generated/version_strings.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp
  )
source_group(Resources FILES ${RESOURCE_FILES})
set(CODE_FILES
  code/MainWindow.h
  code/MainWindow.cpp
  code/wxLauncherApp.h
  code/wxLauncherApp.cpp
  )
source_group("Main Code Files" FILES ${CODE_FILES})

add_executable(wxlauncher WIN32 MACOSX_BUNDLE
  ${TAB_CODE_FILES}
  ${GUI_CONTROL_CODE_FILES}
  ${GLOBAL_CODE_FILES}
  ${DATASTRUCTURE_CODE_FILES}
  ${API_CODE_FILES}
  ${RESOURCE_FILES}
  ${CODE_FILES}
  )
set_target_properties(wxlauncher
  PROPERTIES LINKER_LANGUAGE CXX)
# Files that are not to be compiled directly
set_source_files_properties(
  ${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp   
  ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/onlinehelp.htb 
  ${CMAKE_CURRENT_BINARY_DIR}/generated/configure_launcher.h 
  code/datastructures/FlagInfo.cpp
  code/global/configure_launcher.h.in
  PROPERTIES HEADER_FILE_ONLY true)

add_dependencies(wxlauncher helpmaker version.cpp.maker)
if(IS_WIN32)
  add_dependencies(wxlauncher registry_helper)
endif(IS_WIN32)

configure_file(${CMAKE_SOURCE_DIR}/code/global/configure_launcher.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/generated/configure_launcher.h)

foreach(temp_file ${helpmaker_temp_files})
  set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${temp_file})
endforeach(temp_file)

target_link_libraries(wxlauncher ${wxWidgets_LIBRARIES} ${SDL_LIBRARY})

# adapted from http://www.cmake.org/Wiki/CMake_FAQ#How_can_I_apply_resources_on_Mac_OS_X_automatically.3F
# copies necessary resources (and frameworks, if needed) to .app bundle
if(IS_APPLE)
  set(APP_RESOURCES_PATH ${CMAKE_CURRENT_BINARY_DIR}/$(CONFIGURATION)/${RESOURCES_PATH})
  set(APP_FRAMEWORKS_PATH ${CMAKE_CURRENT_BINARY_DIR}/$(CONFIGURATION)/wxlauncher.app/Contents/Frameworks)
  add_custom_command(TARGET wxlauncher POST_BUILD
    COMMAND rm -rf ${APP_RESOURCES_PATH}
    COMMAND rm -rf ${APP_FRAMEWORKS_PATH}
    COMMAND mkdir ${APP_RESOURCES_PATH}
    COMMAND mkdir ${APP_FRAMEWORKS_PATH}
    COMMAND cp ${PROJECT_SOURCE_DIR}/resources/* ${APP_RESOURCES_PATH}
    COMMAND cp ${helphtblocation} ${APP_RESOURCES_PATH}
    COMMAND cp ${PROJECT_SOURCE_DIR}/platform/macosx/wxlauncher.icns ${APP_RESOURCES_PATH})
  if(USING_SDL_FRAMEWORK) # then copy the framework into the app
    add_custom_command(TARGET wxlauncher POST_BUILD
      COMMAND cp -R ${SDL_LIBRARY} ${APP_FRAMEWORKS_PATH})
  endif(USING_SDL_FRAMEWORK)
endif(IS_APPLE)

# packaging
set(LAUNCHER_CMAKE_SOURCE_DIR ${CMAKE_SOURCE_DIR}/cmake)

if(DEVELOPMENT_MODE)
  message( "Development mode is set. Building of installers is not allowed.  Set DEVELOPMENT_MODE=OFF to build installers.")
  configure_file(${CMAKE_SOURCE_DIR}/cmake/FailCPack.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/CPackConfig.cmake COPYONLY)
  configure_file(${CMAKE_SOURCE_DIR}/cmake/FailCPack.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/CPackSourceConfig.cmake COPYONLY)
else()
  include(${LAUNCHER_CMAKE_SOURCE_DIR}/wxLauncherInstaller.cmake)
endif()

=== debian/changelog ===
freespace2-launcher-wxlauncher (0.9.1-1) unstable; urgency=low

  * Initial release (Closes: #709136).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 21 May 2013 15:18:12 +1000

=== debian/watch ===
# uscan(1)
version=3

 http://code.google.com/p/wxlauncher/downloads/list?can=1 \
 .*/wxLauncher-(?:source-)?([\d.]+)\.(?:tgz|tbz2|tar\.gz|tar\.bz2|tar\.xz)

## freespace2-launcher-wxlauncher 0.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 set(VERSION_MAJOR 0)
 set(VERSION_MINOR 9)
-set(VERSION_PATCH 1)
+set(VERSION_PATCH 4)
 
 list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_SOURCE_DIR}/cmake/include")
 
@@ -60,12 +60,14 @@
   set(HELP_HTB_LOCATION ${helphtblocation})
   set(RESOURCES_PATH ${PROJECT_SOURCE_DIR}/resources)
 else(DEVELOPMENT_MODE)
-  if(IS_WIN32)
-    set(RESOURCES_PATH resources)
-  elseif(IS_APPLE)
-    set(RESOURCES_PATH wxlauncher.app/Contents/Resources)
-  else()
-    set(RESOURCES_PATH /usr/local/share/wxlauncher/)
+  if (NOT DEFINED RESOURCES_PATH)
+    if(IS_WIN32)
+      set(RESOURCES_PATH resources)
+    elseif(IS_APPLE)
+      set(RESOURCES_PATH wxlauncher.app/Contents/Resources)
+    else()
+      set(RESOURCES_PATH /usr/local/share/wxlauncher/)
+    endif()
   endif()
   set(HELP_HTB_LOCATION ${RESOURCES_PATH}/onlinehelp.htb)
 endif(DEVELOPMENT_MODE)
@@ -105,7 +107,20 @@
 if(IS_WIN32) # helper is only needed on windows
   add_executable(registry_helper WIN32
     code/global/ids.h
-    code/global/ids.cpp
+    code/global/BasicDefaults.h
+    code/global/BasicDefaults.cpp
+    code/global/ModDefaults.h
+    code/global/ModDefaults.cpp
+    code/global/ModIniKeys.h
+    code/global/ModIniKeys.cpp
+    code/global/ProfileKeys.h
+    code/global/ProfileKeys.cpp
+    code/global/RegistryKeys.h
+    code/global/RegistryKeys.cpp
+    code/global/SkinDefaults.h
+    code/global/SkinDefaults.cpp
+    code/global/Utils.h
+    code/global/Utils.cpp
     code/apis/RegistryProfileManager.cpp
     platform/win32/registry_helper.cpp
     code/apis/PlatformProfileManagerShared.cpp
@@ -117,14 +132,20 @@
     code/apis/ProfileManager.cpp
     code/apis/ProfileProxy.h
     code/apis/ProfileProxy.cpp
+    code/apis/SkinManager.h
+    code/apis/SkinManager.cpp
     code/apis/TCManager.h
     code/apis/TCManager.cpp
     code/controls/LightingPresets.h
     code/controls/LightingPresets.cpp
+    code/controls/ModList.h
+    code/controls/ModList.cpp
     code/datastructures/FlagFileData.h
     code/datastructures/FlagFileData.cpp
     code/datastructures/FSOExecutable.h
     code/datastructures/FSOExecutable.cpp
+    code/datastructures/NewsSource.h
+    code/datastructures/NewsSource.cpp
     )
   set_target_properties(registry_helper
     PROPERTIES LINKER_LANGUAGE CXX
@@ -193,10 +214,23 @@
 set(GLOBAL_CODE_FILES
   code/global/configure_launcher.h.in
   ${CMAKE_CURRENT_BINARY_DIR}/generated/configure_launcher.h
+  code/global/BasicDefaults.h
+  code/global/BasicDefaults.cpp
   code/global/ids.h
-  code/global/ids.cpp
   code/global/MemoryDebugging.h
+  code/global/ModDefaults.h
+  code/global/ModDefaults.cpp
+  code/global/ModIniKeys.h
+  code/global/ModIniKeys.cpp
+  code/global/ProfileKeys.h
+  code/global/ProfileKeys.cpp
+  code/global/RegistryKeys.h
+  code/global/RegistryKeys.cpp
+  code/global/SkinDefaults.h
+  code/global/SkinDefaults.cpp
   code/global/targetver.h
+  code/global/Utils.h
+  code/global/Utils.cpp
   code/global/version.h
   code/global/version.cpp
   )
@@ -207,6 +241,10 @@
   code/datastructures/FlagFileData.cpp
   code/datastructures/FSOExecutable.h
   code/datastructures/FSOExecutable.cpp
+  code/datastructures/NewsSource.h
+  code/datastructures/NewsSource.cpp
+  code/datastructures/ResolutionMap.h
+  code/datastructures/ResolutionMap.cpp
   )
 source_group("Data Structures" FILES ${DATASTRUCTURE_CODE_FILES})
 set(API_CODE_FILES
@@ -214,6 +252,8 @@
   code/apis/CmdLineManager.cpp
   code/apis/FlagListManager.h
   code/apis/FlagListManager.cpp
+  code/apis/FREDManager.h
+  code/apis/FREDManager.cpp
   code/apis/HelpManager.h
   code/apis/HelpManager.cpp
   code/apis/JoystickManager.h
@@ -221,7 +261,9 @@
   code/apis/OpenALManager.h
   code/apis/OpenALManager.cpp
   code/apis/ProfileManager.h
+  code/apis/ProfileManagerOperator.h
   code/apis/ProfileManager.cpp
+  code/apis/ProfileManagerOperator.cpp
   code/apis/ProfileProxy.h
   code/apis/ProfileProxy.cpp
   code/apis/SkinManager.h
@@ -295,21 +337,3 @@
     COMMAND mkdir ${APP_RESOURCES_PATH}
     COMMAND mkdir ${APP_FRAMEWORKS_PATH}
     COMMAND cp ${PROJECT_SOURCE_DIR}/resources/* ${APP_RESOURCES_PATH}
-    COMMAND cp ${helphtblocation} ${APP_RESOURCES_PATH}
-    COMMAND cp ${PROJECT_SOURCE_DIR}/platform/macosx/wxlauncher.icns ${APP_RESOURCES_PATH})
-  if(USING_SDL_FRAMEWORK) # then copy the framework into the app
-    add_custom_command(TARGET wxlauncher POST_BUILD
-      COMMAND cp -R ${SDL_LIBRARY} ${APP_FRAMEWORKS_PATH})
-  endif(USING_SDL_FRAMEWORK)
-endif(IS_APPLE)
-
-# packaging
-set(LAUNCHER_CMAKE_SOURCE_DIR ${CMAKE_SOURCE_DIR}/cmake)
-
-if(DEVELOPMENT_MODE)
-  message( "Development mode is set. Building of installers is not allowed.  Set DEVELOPMENT_MODE=OFF to build installers.")
-  configure_file(${CMAKE_SOURCE_DIR}/cmake/FailCPack.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/CPackConfig.cmake COPYONLY)
-  configure_file(${CMAKE_SOURCE_DIR}/cmake/FailCPack.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/CPackSourceConfig.cmake COPYONLY)
-else()
-  include(${LAUNCHER_CMAKE_SOURCE_DIR}/wxLauncherInstaller.cmake)
-endif()

=== debian/changelog ===
freespace2-launcher-wxlauncher (0.9.4-1) unstable; urgency=low

  * New upstream release [June 2013].
  * Updated all patches.
  * "debian/watch": minor update to match new version.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 Sep 2013 10:26:14 +1000

=== debian/control ===
Source: freespace2-launcher-wxlauncher
Section: contrib/games
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), imagemagick
              ,cmake
              ,libopenal-dev
              ,libsdl-dev
              ,libwxgtk2.8-dev
              ,python
              ,python-markdown
Standards-Version: 3.9.4
Homepage: https://code.google.com/p/wxlauncher/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onlyjob/freespace2-launcher-wxlauncher.git
Vcs-Git: git://anonscm.debian.org/users/onlyjob/freespace2-launcher-wxlauncher.git

Package: freespace2-launcher-wxlauncher
Provides: freespace2-launcher
Recommends: freespace2
Enhances: freespace2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: joystick
Description: launcher for the Freespace 2 Source Code Project
 GUI launcher for the Freespace 2 Source Code Project.
 .
 FreeSpace is a series of space combat simulation games developed
 by Volition, Inc. and published by Interplay Entertainment.
 The games take place in the 24th century. Mankind, referred to as
 Terrans, has developed means for space traveling, further fueled
 by the discovery of subspace which makes interstellar travel not
 only possible but also fast and easy. As a result the Terrans have
 expanded their territory, eventually encountering another bipedal,
 sentient species; the Vasudans. However, due to cultural differences
 and difficulties in communicating with each other, the Galactic Terran
 Alliance (GTA) and the Parliamentary Vasudan Empire (PVE) end up fighting
 a war that lasts for 14 years.
 .
 Original game files from CD are needed to play this game.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
$(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
            -DCMAKE_BUILD_TYPE:STRING=RELEASE \
            -DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS) $(CPPFLAGS)" \
            -DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed $(LDFLAGS)"
	## generate icon
	convert -monitor resources/recommended.png debian/wxlauncher.xpm

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
# uscan(1)
version=3

 http://code.google.com/p/wxlauncher/downloads/list?can=1 \
 .*/wx[Ll]auncher-(?:source-)?([\d.]+)\.(?:tgz|tbz2|tar\.gz|tar\.bz2|tar\.xz)

## freespace2-launcher-wxlauncher 0.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,18 @@
 # arbitrarily following http://techbase.kde.org/Policies/CMake_Coding_Style#Upper.2Flower_casing
 
 cmake_minimum_required(VERSION 2.8)
+if(CMAKE_MAJOR_VERSION GREATER 2)
+  # Continue to support compatiable interface for _DEBUG on targets
+  # see: http://www.cmake.org/cmake/help/v3.0/policy/CMP0043.html
+  cmake_policy(SET CMP0043 OLD)
+endif()
 
 # We don't use C but CMake on linux complains if we don't have it enabled
 project(wxlauncher CXX C) 
 
 set(VERSION_MAJOR 0)
 set(VERSION_MINOR 9)
-set(VERSION_PATCH 4)
+set(VERSION_PATCH 6)
 
 list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_SOURCE_DIR}/cmake/include")
 
@@ -25,14 +30,18 @@
 endif()
 
 find_package(wxWidgets 2.8.10
-  REQUIRED base core net xml html adv qa richtext)
+  COMPONENTS base core net xml html adv qa richtext)
+if(NOT wxWidgets_FOUND)
+  find_package(wxWidgets 3.0.2
+    COMPONENTS base core net xml html adv qa richtext)
+endif()
   
 if(NOT PYTHON_EXECUTABLE)
   # Only try to find python iff not already given
   include(FindPythonInterp) #PYTHON_EXECUTABLE
 endif()
 
-find_program(HG_EXECUTABLE hg)
+find_program(GIT_EXECUTABLE git)
 
 option(onlinehelpmaker_debug "Have the onlinehelpmaker.py script output debug information" OFF)
 if(onlinehelpmaker_debug)
@@ -52,6 +61,7 @@
 # version of the CRT, the one that is being distrubuted in the installer
 if(IS_WIN32)
   add_definitions("/D_BIND_TO_CURRENT_CRT_VERSION=1")
+  add_definitions("/D_CRT_SECURE_NO_WARNINGS")
 endif(IS_WIN32)
 
 set(helphtblocation ${CMAKE_CURRENT_BINARY_DIR}/generated/onlinehelp.htb)
@@ -85,9 +95,6 @@
   find_package(SDL REQUIRED)
   include_directories(${SDL_INCLUDE_DIR})
   set(HAS_SDL true)
-endif()
-if(UNIX AND NOT DEFINED PLATFORM_HAS_BROKEN_OPENAL)
-  set(PLATFORM_HAS_BROKEN_OPENAL TRUE)
 endif()
 
 if(IS_APPLE)
@@ -126,6 +133,8 @@
     code/apis/PlatformProfileManagerShared.cpp
     code/apis/CmdLineManager.h
     code/apis/CmdLineManager.cpp
+    code/apis/EventHandlers.h
+    code/apis/EventHandlers.cpp
     code/apis/FlagListManager.h
     code/apis/FlagListManager.cpp
     code/apis/ProfileManager.h
@@ -155,12 +164,12 @@
   target_link_libraries(registry_helper ${wxWidgets_LIBRARIES})
 endif()
 
-# Check to see if we have a HG executable so that we will be able to
+# Check to see if we have a GIT executable so that we will be able to
 # generate the version.cpp.  If we don't have a hg binary, notify and
 # create the target to copy a template version.
-if(HG_EXECUTABLE)
+if(GIT_EXECUTABLE)
   add_custom_target(version.cpp.maker ALL
-    COMMAND ${PYTHON_EXECUTABLE} scripts/version.cpp.maker.py build ${CMAKE_CURRENT_BINARY_DIR}/generated/version_strings.cpp ${CMAKE_CURRENT_BINARY_DIR}/version.cpp.maker.temp --hgpath=${HG_EXECUTABLE}
+    COMMAND ${PYTHON_EXECUTABLE} scripts/version.cpp.maker.py build ${CMAKE_CURRENT_BINARY_DIR}/generated/version_strings.cpp ${CMAKE_CURRENT_BINARY_DIR}/version.cpp.maker.temp --gitpath=${GIT_EXECUTABLE}
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
     )
 else()
@@ -179,7 +188,16 @@
 set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp)
 set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${helphtblocation})
 file(GLOB_RECURSE helpmaker_temp_files ${CMAKE_CURRENT_BINARY_DIR}/onlinehelpmaker/*.*)
-set_source_files_properties(${helphtblocation} ${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp ${CMAKE_CURRENT_BINARY_DIR}/generated/version_strings.cpp PROPERTIES GENERATED true EXTERNAL_OBJECT true)
+
+# Call out the files that are built a part of the build
+# The HTBs do not need to be run through a complier
+set_source_files_properties(
+	${helphtblocation}
+	PROPERTIES GENERATED true EXTERNAL_OBJECT true)
+set_source_files_properties(
+	${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp
+	${CMAKE_CURRENT_BINARY_DIR}/generated/version_strings.cpp
+	PROPERTIES GENERATED true)
 
 set(TAB_CODE_FILES
   code/tabs/AdvSettingsPage.h
@@ -250,6 +268,8 @@
 set(API_CODE_FILES
   code/apis/CmdLineManager.h
   code/apis/CmdLineManager.cpp
+  code/apis/EventHandlers.h
+  code/apis/EventHandlers.cpp
   code/apis/FlagListManager.h
   code/apis/FlagListManager.cpp
   code/apis/FREDManager.h
@@ -327,13 +347,3 @@
 target_link_libraries(wxlauncher ${wxWidgets_LIBRARIES} ${SDL_LIBRARY})
 
 # adapted from http://www.cmake.org/Wiki/CMake_FAQ#How_can_I_apply_resources_on_Mac_OS_X_automatically.3F
-# copies necessary resources (and frameworks, if needed) to .app bundle
-if(IS_APPLE)
-  set(APP_RESOURCES_PATH ${CMAKE_CURRENT_BINARY_DIR}/$(CONFIGURATION)/${RESOURCES_PATH})
-  set(APP_FRAMEWORKS_PATH ${CMAKE_CURRENT_BINARY_DIR}/$(CONFIGURATION)/wxlauncher.app/Contents/Frameworks)
-  add_custom_command(TARGET wxlauncher POST_BUILD
-    COMMAND rm -rf ${APP_RESOURCES_PATH}
-    COMMAND rm -rf ${APP_FRAMEWORKS_PATH}
-    COMMAND mkdir ${APP_RESOURCES_PATH}
-    COMMAND mkdir ${APP_FRAMEWORKS_PATH}
-    COMMAND cp ${PROJECT_SOURCE_DIR}/resources/* ${APP_RESOURCES_PATH}

=== debian/changelog ===
freespace2-launcher-wxlauncher (0.9.6-1build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:18:53 +0200

freespace2-launcher-wxlauncher (0.9.6-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Removed all backported patches.
  * No longer add "-DNDEBUG" to build flags.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 16 Apr 2015 09:47:49 +1000

freespace2-launcher-wxlauncher (0.9.5-1) unstable; urgency=low

  * New upstream release [February 2015].
  * New project's URLs in d/watch and d/copyright and d/control.
  * New style Vcs-Browser link.
  * Standards-Version: 3.9.6.
  * Dropped obsolete "wx3.0-compat.patch".
  * Replaced "issue_93.patch" with "115.patch" from upstream.
  * Added new patches:
    + 116.patch (Closes: #770855)
    + fix-al-includes.patch
    + fix-wx3-build.patch
    + openal.patch

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Mar 2015 10:13:16 +1100

freespace2-launcher-wxlauncher (0.9.4-2) unstable; urgency=low

  [ Olly Betts <olly@survex.com> ]
  * Update to use wxwidgets3.0 (Closes: #749834):
    + New patch: wx3.0-compat.patch
    + Pass -DNDEBUG to disable WXDEBUG checks.

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Standards-Version to 3.9.5.
  * Updated copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 13 Sep 2014 16:23:47 +1000

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
               ,cmake
               ,libopenal-dev
               ,libsdl-dev
-              ,libwxgtk2.8-dev
+              ,libwxgtk3.0-dev
               ,python
               ,python-markdown
-Standards-Version: 3.9.4
-Homepage: https://code.google.com/p/wxlauncher/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onlyjob/freespace2-launcher-wxlauncher.git
+Standards-Version: 3.9.6
+Homepage: https://github.com/wxLauncher/wxlauncher/
+Vcs-Browser: http://anonscm.debian.org/cgit/users/onlyjob/freespace2-launcher-wxlauncher.git
 Vcs-Git: git://anonscm.debian.org/users/onlyjob/freespace2-launcher-wxlauncher.git
 
 Package: freespace2-launcher-wxlauncher

=== debian/watch ===
# uscan(1)
version=3

 https://github.com/wxLauncher/wxlauncher/releases \
 .*/archive/release-(\d[-\d\.]+)\.tar\.gz

## freespace2-launcher-wxlauncher 0.10.1%2Bdfsg

=== debian/changelog ===
freespace2-launcher-wxlauncher (0.10.1+dfsg-1) unstable; urgency=medium

  * New upstream release [September 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 29 Sep 2015 13:14:52 +1000

freespace2-launcher-wxlauncher (0.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release [August 2015].
  * Build-Depends:
    - libsdl-dev
    + libsdl2-dev
  * copyright: "Files-Excluded: 3rdparty/SDL2-2_0_3".
  * watch: added repacksuffix, dversionmangle.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 03 Sep 2015 22:00:11 +1000

## freespace2-launcher-wxlauncher 0.10.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,10 @@
 project(wxlauncher CXX C) 
 
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 9)
-set(VERSION_PATCH 6)
+set(VERSION_MINOR 10)
+set(VERSION_PATCH 1)
+
+message("--- Configuring wxLauncher ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_SOURCE_DIR}/cmake/include")
 
@@ -29,11 +31,52 @@
   endif()
 endif()
 
-find_package(wxWidgets 2.8.10
-  COMPONENTS base core net xml html adv qa richtext)
+if(DEFINED WXVER AND NOT WXVER MATCHES "PLATFORM")
+  # we are given an explict wxWidgets version we must use
+  # which means we are probably on CI builder
+  message("-- Explicitly told to use WXVER ${WXVER}")
+  if(NOT DEFINED wxWidgets_ROOT_DIR OR NOT wxWidgets_ROOT_DIR)
+    set(wxWidgets_ROOT_DIR $ENV{WXWIDGETS${WXVER}})
+  endif()
+  message("--- Searching for wxWidgets in ${wxWidgets_ROOT_DIR}")
+  if(WXVER MATCHES "2.8")
+    find_package(wxWidgets 2.8.10
+      COMPONENTS base core net xml html adv qa richtext)
+  elseif(WXVER MATCHES "3.0")
+    find_package(wxWidgets 3.0.2
+      COMPONENTS base core net xml html adv qa richtext)
+  else()
+    message(FATAL_ERROR "Unknown WXVER forced")
+  endif()
+
+  #ensure we have the correct version with or without stl as requested
+  if(NOT DEFINED HAVE_WXUSE_STL 
+        OR NOT wxWidgets_ROOT_DIR MATCHES STL_TEST_WX_ROOT)
+    # Save for later to test if root changes
+    set(STL_TEST_WX_ROOT ${wxWidgets_ROOT_DIR})
+
+    message("-- Testing wxUSE_STL")
+    try_compile(HAVE_WXUSE_STL ${CMAKE_BINARY_DIR}
+      SOURCES ${CMAKE_SOURCE_DIR}/cmake/test_wxstl.cpp
+      COMPILE_DEFINITIONS "/I${wxWidgets_LIB_DIR}/${wxWidgets_CONFIGURATION} /I${wxWidgets_ROOT_DIR}/include")
+
+    if(WXVER MATCHES "stl")
+      if(NOT HAVE_WXUSE_STL)
+        message(FATAL_ERROR "wxUSE_STL required but not provided")
+      endif()
+    else()
+      if(HAVE_WXUSE_STL)
+        message(FATAL_ERROR "wxUSE_STL enabled but was not requested")
+      endif()
+    endif()
+  endif()
+else()
+  message("-- Searching for wxWidgets")
+  find_package(wxWidgets 2.8.10
+    COMPONENTS base core net xml html adv qa richtext)
+endif()
 if(NOT wxWidgets_FOUND)
-  find_package(wxWidgets 3.0.2
-    COMPONENTS base core net xml html adv qa richtext)
+  message(FATAL_ERROR "Unable to locate wxWidgets")
 endif()
   
 if(NOT PYTHON_EXECUTABLE)
@@ -83,19 +126,47 @@
 endif(DEVELOPMENT_MODE)
 
 option(PROFILE_DEBUGGING "Extra verbose debug logs that include snapshots of profile contents at important steps while auto-save is off" OFF)
-option(USE_SPEECH "Build launcher with speech support?" OFF)
-option(USE_JOYSTICK "Build launcher with joystick support?" ON)
-option(USE_OPENAL "Build launcher with OpenAL support?" ON)
+
+if(DEFINED $ENV{OPTIONS} AND $ENV{OPTIONS} STREQUAL "DisableAll")
+  set(OPTION_DEFAULT OFF)
+else()
+  set(OPTION_DEFAULT ON)
+endif()
+
+if(IS_WIN32)
+  # Don't offer features that can only work on Windows
+  option(USE_SPEECH "Build launcher with speech support?" ${OPTION_DEFAULT})
+endif()
+
+option(USE_JOYSTICK "Build launcher with joystick support?" ${OPTION_DEFAULT})
+option(USE_OPENAL "Build launcher with OpenAL support?" ${OPTION_DEFAULT})
 if(USE_OPENAL)
   find_package(OpenAL REQUIRED)
   include_directories(${OPENAL_INCLUDE_DIR})
 endif(USE_OPENAL)
 
-if(UNIX)
-  find_package(SDL REQUIRED)
-  include_directories(${SDL_INCLUDE_DIR})
-  set(HAS_SDL true)
-endif()
+IF(UNIX)
+    INCLUDE(FindPkgConfig)
+
+    PKG_SEARCH_MODULE(SDL2 REQUIRED sdl2)
+    set(SDL2_INCLUDES ${SDL2_INCLUDE_DIRS})
+else()
+    set(SDL2_INCLUDES "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/SDL2-2_0_3/include")
+
+    IF(CMAKE_SIZEOF_VOID_P EQUAL 8)
+        # 64-bit
+        set(ARCH "x64")
+    ELSE(CMAKE_SIZEOF_VOID_P EQUAL 8)
+        # 32-bit
+        set(ARCH "x86")
+    ENDIF(CMAKE_SIZEOF_VOID_P EQUAL 8)
+
+    set(SDL2_LIBRARIES "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/SDL2-2_0_3/lib/${ARCH}/SDL2.lib")
+    set(SDL2_DLL "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/SDL2-2_0_3/lib/${ARCH}/SDL2.dll")
+endif()
+
+include_directories(${SDL2_INCLUDES})
+set(HAS_SDL true)
 
 if(IS_APPLE)
   option(USING_SDL_FRAMEWORK "Check this if building with an SDL framework." ON)
@@ -110,59 +181,6 @@
 
 include(${wxWidgets_USE_FILE})
 include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/code)
-
-if(IS_WIN32) # helper is only needed on windows
-  add_executable(registry_helper WIN32
-    code/global/ids.h
-    code/global/BasicDefaults.h
-    code/global/BasicDefaults.cpp
-    code/global/ModDefaults.h
-    code/global/ModDefaults.cpp
-    code/global/ModIniKeys.h
-    code/global/ModIniKeys.cpp
-    code/global/ProfileKeys.h
-    code/global/ProfileKeys.cpp
-    code/global/RegistryKeys.h
-    code/global/RegistryKeys.cpp
-    code/global/SkinDefaults.h
-    code/global/SkinDefaults.cpp
-    code/global/Utils.h
-    code/global/Utils.cpp
-    code/apis/RegistryProfileManager.cpp
-    platform/win32/registry_helper.cpp
-    code/apis/PlatformProfileManagerShared.cpp
-    code/apis/CmdLineManager.h
-    code/apis/CmdLineManager.cpp
-    code/apis/EventHandlers.h
-    code/apis/EventHandlers.cpp
-    code/apis/FlagListManager.h
-    code/apis/FlagListManager.cpp
-    code/apis/ProfileManager.h
-    code/apis/ProfileManager.cpp
-    code/apis/ProfileProxy.h
-    code/apis/ProfileProxy.cpp
-    code/apis/SkinManager.h
-    code/apis/SkinManager.cpp
-    code/apis/TCManager.h
-    code/apis/TCManager.cpp
-    code/controls/LightingPresets.h
-    code/controls/LightingPresets.cpp
-    code/controls/ModList.h
-    code/controls/ModList.cpp
-    code/datastructures/FlagFileData.h
-    code/datastructures/FlagFileData.cpp
-    code/datastructures/FSOExecutable.h
-    code/datastructures/FSOExecutable.cpp
-    code/datastructures/NewsSource.h
-    code/datastructures/NewsSource.cpp
-    )
-  set_target_properties(registry_helper
-    PROPERTIES LINKER_LANGUAGE CXX
-    LINK_FLAGS /MANIFESTUAC:NO
-    COMPILE_DEFINITIONS REGISTRY_HELPER
-    )
-  target_link_libraries(registry_helper ${wxWidgets_LIBRARIES})
-endif()
 
 # Check to see if we have a GIT executable so that we will be able to
 # generate the version.cpp.  If we don't have a hg binary, notify and
@@ -327,23 +345,3 @@
 set_source_files_properties(
   ${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp   
   ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/onlinehelp.htb 
-  ${CMAKE_CURRENT_BINARY_DIR}/generated/configure_launcher.h 
-  code/datastructures/FlagInfo.cpp
-  code/global/configure_launcher.h.in
-  PROPERTIES HEADER_FILE_ONLY true)
-
-add_dependencies(wxlauncher helpmaker version.cpp.maker)
-if(IS_WIN32)
-  add_dependencies(wxlauncher registry_helper)
-endif(IS_WIN32)
-
-configure_file(${CMAKE_SOURCE_DIR}/code/global/configure_launcher.h.in
-  ${CMAKE_CURRENT_BINARY_DIR}/generated/configure_launcher.h)
-
-foreach(temp_file ${helpmaker_temp_files})
-  set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${temp_file})
-endforeach(temp_file)
-
-target_link_libraries(wxlauncher ${wxWidgets_LIBRARIES} ${SDL_LIBRARY})
-
-# adapted from http://www.cmake.org/Wiki/CMake_FAQ#How_can_I_apply_resources_on_Mac_OS_X_automatically.3F

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), imagemagick
               ,cmake
               ,libopenal-dev
-              ,libsdl-dev
+              ,libsdl2-dev
               ,libwxgtk3.0-dev
               ,python
               ,python-markdown

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 $(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))
+
+## Building with "-DNDEBUG" should not be necessary after 0.9.6.
+# Disable wx3.0 WXDEBUG checks, as happened by default in wx2.8.
+#export DEB_CPPFLAGS_MAINT_APPEND=-DNDEBUG
 
 %:
 	dh $@ --parallel
@@ -20,7 +24,3 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-

=== debian/watch ===
# uscan(1)
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
 https://github.com/wxLauncher/wxlauncher/releases \
 .*/archive/release-(\d[\d\.]+)\.tar\.gz

## freespace2-launcher-wxlauncher 0.11.0%2Bdfsg

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{[+~]dfsg\d*}{},\
uversionmangle=s{-rc}{~rc};s{rc\K\.(\d+)}{$1},\
" https://github.com/scp-fs2open/wxlauncher/releases \
  .*/archive/(?:v|release-)?(\d[\d\.\-rc]+)\.tar\.gz

## freespace2-launcher-wxlauncher 0.11.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,8 @@
 project(wxlauncher CXX C) 
 
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 10)
-set(VERSION_PATCH 1)
+set(VERSION_MINOR 11)
+set(VERSION_PATCH 0)
 
 message("--- Configuring wxLauncher ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
@@ -269,7 +269,8 @@
   code/global/Utils.cpp
   code/global/version.h
   code/global/version.cpp
-  )
+  code/global/Compatibility.cpp
+  code/global/Compatibility.h)
 source_group(Global FILES ${GLOBAL_CODE_FILES})
 set(DATASTRUCTURE_CODE_FILES
   code/datastructures/FlagInfo.cpp
@@ -340,8 +341,8 @@
   ${CODE_FILES}
   )
 set_target_properties(wxlauncher
-  PROPERTIES LINKER_LANGUAGE CXX)
+  PROPERTIES LINKER_LANGUAGE CXX
+  POSITION_INDEPENDENT_CODE ON)
 # Files that are not to be compiled directly
 set_source_files_properties(
   ${CMAKE_CURRENT_BINARY_DIR}/generated/helplinks.cpp   
-  ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/onlinehelp.htb

=== debian/changelog ===
freespace2-launcher-wxlauncher (0.11.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to wxWidgets 3.2 using patches from upstream pull request.
    (Closes: #1019772)

 -- Adrian Bunk <bunk@debian.org>  Wed, 08 Feb 2023 11:47:07 +0200

freespace2-launcher-wxlauncher (0.11.0+dfsg-3) unstable; urgency=medium

  * libwxgtk3.0-dev -> libwxgtk3.0-gtk3-dev (Closes: #933465).
  * Standards-Version: 4.4.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 12 Oct 2019 20:44:35 +1100

freespace2-launcher-wxlauncher (0.11.0+dfsg-2) unstable; urgency=medium

  * Replaced "README.Debian" with "bug-presubj" file.
  * Don't build .xpm icon; removed "imagemagick" from Build-Depends.
  * Standards-Version: 4.1.5; removed .menu file.
  * Install application icon symlink.
  * debhelper & compat to version 11.
  * Updated upstream home page URL.
  * watch file to version 4.
  * Vcs URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 11 Jul 2018 21:27:04 +1000

freespace2-launcher-wxlauncher (0.11.0+dfsg-1) unstable; urgency=medium

  * New upstream release [March 2016].
  * Standards-Version: 3.9.8.
  * Vcs URLs to HTTPS.
  * Build-Depends:
    - python
    + python3
    - python-markdown
    + python3-markdown
  * rules: build with "-DPYTHON_EXECUTABLE=/usr/bin/python3".
  * Build with full hardening.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Jul 2016 18:22:16 +1000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: freespace2-launcher-wxlauncher
 Section: contrib/games
 Priority: optional
+Standards-Version: 4.4.1
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), imagemagick
+Build-Depends: debhelper (>= 11~)
               ,cmake
               ,libopenal-dev
               ,libsdl2-dev
-              ,libwxgtk3.0-dev
-              ,python
-              ,python-markdown
-Standards-Version: 3.9.6
-Homepage: https://github.com/wxLauncher/wxlauncher/
-Vcs-Browser: http://anonscm.debian.org/cgit/users/onlyjob/freespace2-launcher-wxlauncher.git
-Vcs-Git: git://anonscm.debian.org/users/onlyjob/freespace2-launcher-wxlauncher.git
+              ,libwxgtk3.2-dev
+              ,python3
+              ,python3-markdown
+# Python2 support on build time:
+#    ,python-future
+Homepage: https://github.com/scp-fs2open/wxlauncher/
+Vcs-Browser: https://salsa.debian.org/games-team/freespace2-launcher-wxlauncher
+Vcs-Git: https://salsa.debian.org/games-team/freespace2-launcher-wxlauncher.git
 
 Package: freespace2-launcher-wxlauncher
 Provides: freespace2-launcher
@@ -37,5 +39,3 @@
  a war that lasts for 14 years.
  .
  Original game files from CD are needed to play this game.
-
-

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
$(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))

## Building with "-DNDEBUG" should not be necessary after 0.9.6.
# Disable wx3.0 WXDEBUG checks, as happened by default in wx2.8.
#export DEB_CPPFLAGS_MAINT_APPEND=-DNDEBUG

## See
## * https://github.com/scp-fs2open/wxLauncher/issues/99
## * https://github.com/scp-fs2open/wxLauncher/issues/139
## for PYTHON_EXECUTABLE issue.

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
            -DCMAKE_BUILD_TYPE:STRING=RELEASE \
            -DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS) $(CPPFLAGS)" \
            -DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed $(LDFLAGS)" \
            -DPYTHON_EXECUTABLE=/usr/bin/python3

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

## freespace2-launcher-wxlauncher 0.12.0~rc3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: freespace2-launcher-wxlauncher
 Section: contrib/games
 Priority: optional
-Standards-Version: 4.4.1
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 11~)
+Standards-Version: 4.6.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper-compat (= 13)
               ,cmake
               ,libopenal-dev
               ,libsdl2-dev
               ,libwxgtk3.2-dev
               ,python3
               ,python3-markdown
-# Python2 support on build time:
-#    ,python-future
 Homepage: https://github.com/scp-fs2open/wxlauncher/
 Vcs-Browser: https://salsa.debian.org/games-team/freespace2-launcher-wxlauncher
 Vcs-Git: https://salsa.debian.org/games-team/freespace2-launcher-wxlauncher.git
+Rules-Requires-Root: no
 
 Package: freespace2-launcher-wxlauncher
 Provides: freespace2-launcher
